Debian Bug report logs - #729821
ITP: hidrd -- tools for parsing and generating HID report descriptors

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Klee Dienes <klee@mit.edu>

Date: Sun, 17 Nov 2013 23:54:01 UTC

Owned by: Klee Dienes <klee@mit.edu>

Severity: wishlist

Fixed in version hidrd/0.2.0-7

Done: Sam Hartman <hartmans@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#729821; Package wnpp. (Sun, 17 Nov 2013 23:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klee Dienes <klee@mit.edu>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 17 Nov 2013 23:54:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Klee Dienes <klee@mit.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: hidrd -- tools for parsing and generating HID report descriptors
Date: Sun, 17 Nov 2013 18:30:02 -0500
Package: wnpp
Severity: wishlist
Owner: Klee Dienes <klee@mit.edu>

* Package name    : hidrd
  Version         : 0.2
  Upstream Author : Nikolai Kondrashov <spbnick@gmail.com>
* URL             : http://sourceforge.net/apps/mediawiki/digimend/index.php?title=Hidrd
* License         : GPL-2+
  Programming Lang: C
  Description     : tools for parsing and generating HID report descriptors

The hidrd package is a library and collection of tools for parsing and
generating HID report descriptors. It is an alternative to and in some
ways an improvement over the official HID Descriptor Tool.

Native descriptor format is fully supported. An XML format is
developed and supported for input and output. Specification example
format is supported for output. Output to C source code with
specification example format comments is supported. A tool called
"hidrd-convert" is implemented and could be used to convert
descriptors between formats.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 12 Jan 2014 07:06:14 GMT) Full text and rfc822 format available.

Reply sent to Sam Hartman <hartmans@debian.org>:
You have taken responsibility. (Mon, 24 Feb 2014 13:03:09 GMT) Full text and rfc822 format available.

Notification sent to Klee Dienes <klee@mit.edu>:
Bug acknowledged by developer. (Mon, 24 Feb 2014 13:03:09 GMT) Full text and rfc822 format available.

Message #12 received at 729821-close@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: 729821-close@bugs.debian.org
Subject: Bug#729821: fixed in hidrd 0.2.0-7
Date: Mon, 24 Feb 2014 13:00:06 +0000
Source: hidrd
Source-Version: 0.2.0-7

We believe that the bug you reported is fixed in the latest version of
hidrd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 729821@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sam Hartman <hartmans@debian.org> (supplier of updated hidrd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 11 Jan 2014 18:08:01 -0500
Source: hidrd
Binary: libhidrd0-dev libhidrd0-dbg libhidrd0 hidrd
Architecture: source amd64
Version: 0.2.0-7
Distribution: unstable
Urgency: low
Maintainer: Klee Dienes <klee@mit.edu>
Changed-By: Sam Hartman <hartmans@debian.org>
Description: 
 hidrd      - tools for parsing and generating HID report descriptors
 libhidrd0  - runtime library for parsing and generating USB HID reports
 libhidrd0-dbg - detached debugging symbols for libhidrd0
 libhidrd0-dev - development files for parsing and generating USB HID reports
Closes: 729821
Changes: 
 hidrd (0.2.0-7) unstable; urgency=low
 .
   * Remove hard-coded compile flags.
 .
 hidrd (0.2.0-6) unstable; urgency=low
 .
   * Remove m4/autoconf from Makefile.am.
 .
 hidrd (0.2.0-4) unstable; urgency=low
 .
   * Remove overrides for no-upstream-changelog.
 .
 hidrd (0.2.0-3) unstable; urgency=low
 .
   * Add git-buildpackage pristine-tar configuration.
   * Add libxml2-dev build-dependency.
 .
 hidrd (0.2.0-2) unstable; urgency=low
 .
   * Initial packaging. (Closes: #729821)
Checksums-Sha1: 
 acd38f23655e13ce1f2e18fe94f9c81373eacb69 1308 hidrd_0.2.0-7.dsc
 63076ab385958c4666ac45424dabc4f15e4adb06 583894 hidrd_0.2.0.orig.tar.gz
 1bf3e37f94be6b3f69aa0e9824480abf333b714a 5835 hidrd_0.2.0-7.debian.tar.gz
 af78ef8627cda4d1c3a172bd7092552ed4d73eed 54448 libhidrd0-dev_0.2.0-7_amd64.deb
 10a90f9de739a602f21e85585c1afbc2b27a57d6 346742 libhidrd0-dbg_0.2.0-7_amd64.deb
 3d55a0c5b2cb4c2f75778386a60d4530195242c0 105892 libhidrd0_0.2.0-7_amd64.deb
 a28ad8f5ec184d64f7bfdad80744b3a750c96e47 17148 hidrd_0.2.0-7_amd64.deb
Checksums-Sha256: 
 3bbe23e6f73e137ecb95b936a5328b551613ea331682430417be4b2faba2000f 1308 hidrd_0.2.0-7.dsc
 060c3f2ed20f6071440c8f8bfa7a063aa9529293f1a049ede76721ac3dcc7e95 583894 hidrd_0.2.0.orig.tar.gz
 2eebacab3f1165952f24d983b18ae3983e029acefb0a6ad35a3152530b8f6563 5835 hidrd_0.2.0-7.debian.tar.gz
 c4c529b6a75031ea6df6cf4f290f319701b9236b1300e384656e66dae0547890 54448 libhidrd0-dev_0.2.0-7_amd64.deb
 0048b06346693cc1472f6704e7f020f288db7dd872c5414f28d1eda045056ecc 346742 libhidrd0-dbg_0.2.0-7_amd64.deb
 0e589c8714f67a3feb39257cf84dd33489f8f7b3dd9aadc7b347c55d41ef6f81 105892 libhidrd0_0.2.0-7_amd64.deb
 46b3438752db26c99bd65c326674f88fa334dbfad85b43b39c876c7cef0d21b8 17148 hidrd_0.2.0-7_amd64.deb
Files: 
 1f90325c839937f38a2fdd668b31a7b2 1308 devel optional hidrd_0.2.0-7.dsc
 6969c10103cda116681700764c1be90f 583894 devel optional hidrd_0.2.0.orig.tar.gz
 5656c1bbf380c49ea597a5472216df37 5835 devel optional hidrd_0.2.0-7.debian.tar.gz
 fd037398146440492af9743e30f2f0fd 54448 libdevel optional libhidrd0-dev_0.2.0-7_amd64.deb
 846dd3f834b712e806deb569414564f3 346742 debug extra libhidrd0-dbg_0.2.0-7_amd64.deb
 3abe2b4dc437cab9c794e16189b64bf8 105892 libdevel optional libhidrd0_0.2.0-7_amd64.deb
 6bcc124716d5bd533d5b9aa10d11c23b 17148 science optional hidrd_0.2.0-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlLR+UcACgkQ/I12czyGJg9epACfflDjpTbEvaF8tz6BNvxNsZ5P
K9oAnRToCOdpuRe37mpQ2jlKhb2pHF0Q
=OnMq
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Mar 2014 07:26:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:01:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.